Package wx :: Package lib :: Module flatnotebook :: Class PageInfo

[frames | no frames]

## Class PageInfo

This class holds all the information (caption, image, etc...) belonging to a single tab in `FlatNotebook`.

Method Summary
| ``__init__`(self, caption, imageindex, tabangle, enabled)` Default Class Constructor.
| ``Enable`(self, enabled)` Sets the tab enabled or disabled.
| ``GetCaption`(self)` Returns the tab caption.
| ``GetColour`(self)` Returns the tab colour.
| ``GetEnabled`(self)` Returns whether the tab is enabled or not.
| ``GetImageIndex`(self)` Returns the tab umage index.
| ``GetPosition`(self)` Returns the tab position.
| ``GetRegion`(self)` Returns the tab region.
| ``GetSize`(self)` Returns the tab size.
| ``GetTabAngle`(self)` Returns the tab angle.
| ``GetXRect`(self)` Returns the button 'X' area rect.
| ``SetCaption`(self, value)` Sets the tab caption.
| ``SetColour`(self, color)` Sets the tab colour.
| ``SetImageIndex`(self, value)` Sets the tab image index.
| ``SetPosition`(self, value)` Sets the tab position.
| ``SetRegion`(self, points)` Sets the tab region.
| ``SetSize`(self, value)` Sets the tab size.
| ``SetTabAngle`(self, value)` Sets the tab header angle (0 <= tab <= 15 degrees).
| ``SetXRect`(self, xrect)` Sets the button 'X' area rect.

Method Details

### __init__(self, caption='', imageindex=-1, tabangle=0, enabled=True)
(Constructor)

Default Class Constructor.

Parameters:

  Parameters:
    `caption` - the tab caption;

    `imageindex` - the tab image index based on the assigned (set) wx.ImageList (if any);

    `tabangle` - the tab angle (only on standard tabs, from 0 to 15 degrees);

    `enabled` - sets enabled or disabled the tab.

### Enable(self, enabled)

Sets the tab enabled or disabled.

### GetCaption(self)

Returns the tab caption.

### GetColour(self)

Returns the tab colour.

### GetEnabled(self)

Returns whether the tab is enabled or not.

### GetImageIndex(self)

Returns the tab umage index.

### GetPosition(self)

Returns the tab position.

### GetRegion(self)

Returns the tab region.

### GetSize(self)

Returns the tab size.

### GetTabAngle(self)

Returns the tab angle.

### GetXRect(self)

Returns the button 'X' area rect.

### SetCaption(self, value)

Sets the tab caption.

### SetColour(self, color)

Sets the tab colour.

### SetImageIndex(self, value)

Sets the tab image index.

### SetPosition(self, value)

Sets the tab position.

### SetRegion(self, points=[])

Sets the tab region.

### SetSize(self, value)

Sets the tab size.

### SetTabAngle(self, value)

Sets the tab header angle (0 <= tab <= 15 degrees).

### SetXRect(self, xrect)

Sets the button 'X' area rect.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:04 2007 | http://epydoc.sf.net